net.sf.jasperreports.engine.type

## Enum WhenResourceMissingTypeEnum

- java.lang.Object
- - java.lang.Enum<WhenResourceMissingTypeEnum>
  - - net.sf.jasperreports.engine.type.WhenResourceMissingTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WhenResourceMissingTypeEnum>, JREnum, NamedEnum

      public enum WhenResourceMissingTypeEnum
      extends java.lang.Enum<WhenResourceMissingTypeEnum>
      implements JREnum

  Version:
    $Id: WhenResourceMissingTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY` Return empty string when a resource is missing.
    `ERROR` Throw an exception when a resource is missing.
    `KEY` Return the key when a resource is missing.
    `NULL` Return NULL when a resource is missing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WhenResourceMissingTypeEnum` | `getByName(java.lang.String name)`
    `static WhenResourceMissingTypeEnum` | `getByValue(byte value)`
    `static WhenResourceMissingTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static WhenResourceMissingTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WhenResourceMissingTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final WhenResourceMissingTypeEnum NULL

      Return NULL when a resource is missing.

    - #### EMPTY

          public static final WhenResourceMissingTypeEnum EMPTY

      Return empty string when a resource is missing.

    - #### KEY

          public static final WhenResourceMissingTypeEnum KEY

      Return the key when a resource is missing.

    - #### ERROR

          public static final WhenResourceMissingTypeEnum ERROR

      Throw an exception when a resource is missing.

  - ### Method Detail

    - #### values

          public static WhenResourceMissingTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WhenResourceMissingTypeEnum c : WhenResourceMissingTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WhenResourceMissingTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static WhenResourceMissingTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static WhenResourceMissingTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static WhenResourceMissingTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com